/**********************************************

       Java Class used in Demos of
          JNIWrapper for Delphi

       Copyright (c) 1998 Jonathan Revusky

       Java and Delphi Freelance programming
             jrevusky@bigfoot.com

**********************************************/

import java.awt.*;
import java.awt.event.*;

public class HelloWorld extends java.awt.Frame {
    public static void main (String[] args) {
        for (int i = 0; i<args.length; i++) System.out.println(args[i]);
        System.exit(1234);
    }

    public static int test(int i, long l, String s) {
        System.out.println(i);
        System.out.println(l);
        System.out.println(s);
        return 12345;
    }

    public HelloWorld(String s, int width, int height) {
        super(s);
        add("Center", new Label("Hello, GUI World.", Label.CENTER));
        setSize(width, height);
        setVisible(true);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                HelloWorld.this.dispose();
                System.exit(23);
            }
        });
    }
}
