{******************************************************
*
*       Source for a DLL to demonstrate
*       how a Delphi form can be called up from Java
*       and run in its own thread.
*       and create and return a Java object.
*
*       See Native2.java and DelphiForm.pas for the other 
*       parts of this demo 
*
*       Copyright (c) 1998 Jonathan Revusky
*
*       Java and Delphi Freelance programming
*             jrevusky@bigfoot.com
*
*******************************************************}
library native2;

uses
  Forms, Dialogs, Controls, StdCtrls, SysUtils,
  Classes, JNIWrapper, JNI,
  DelphiForm in 'DelphiForm.pas';

function Java_Native2_showWidget(penv : PJNIEnv; 
                                 jobj : jobject; 
                                 jarr : JObjectArray) : 
                                 jstring; stdcall;
begin
     TJavaVM.setThreadPenv(penv);
     if Form1=Nil then 
        Application.CreateForm(TForm1, Form1);
     Form1.ListBox1.Items := JToTStrings(jarr);
     if Form1.showModal = mrOK then
        begin
            result := CreateJString(Form1.clickedString);
        end
     else
        result := CreateJString('Nothing');
end;

exports Java_native2_showWidget;
end.
